> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/basketball/basic-data/real-time-match-shooting-point.md).

# Real-time match shooting point

## Real-time match shooting point

> Returns the shooting point data of the home and away team players in a real-time matches\<br/>\<br/>Coordinate description: \<br/>Coordinate origin: Upper left; That is: the x-axis direction is right, the y-axis direction is down; \<br/>Recommended request frequency: 10s/time

```json
{"openapi":"3.0.1","info":{"title":"Basketball API","version":"1.0.251028"},"tags":[{"name":"BASIC DATA","description":"BASIC DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/basketball/match/shoot/point/live":{"get":{"tags":["BASIC DATA"],"description":"Returns the shooting point data of the home and away team players in a real-time matches<br/><br/>Coordinate description: <br/>Coordinate origin: Upper left; That is: the x-axis direction is right, the y-axis direction is down; <br/>Recommended request frequency: 10s/time","summary":"Real-time match shooting point","operationId":"getMatchShootLive","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","items":{"$ref":"#/components/schemas/ShootLive"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"ShootLive":{"type":"object","properties":{"match_id":{"type":"string","description":"Match id"},"shoot":{"$ref":"#/deps/schemas/ShootPoint"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"ShootPoint":{"type":"array","description":"Shot data<br/>example: [1, \"gx7lm73tdndr2wd\", \"gy0or5gtdjkqwzv\", 0, 0, 21, 25, 1, \"\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Owned team, 1. Home team, 2. Away team | Integer |\n| `1` | Shot player id | String |\n| `2` | Assist player id | String |\n| `3` | Whether it is a hit, 1. Yes, 0. No | Integer |\n| `4` | Score for shooting | Integer |\n| `5` | x coordinate, total 50 | Integer |\n| `6` | y coordinate, total 40.5 | Integer |\n| `7` | Number of bars | Integer |\n| `8` | Remaining time in bar | String |\n","items":""}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/basketball/basic-data/real-time-match-shooting-point.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
